API Documentation | All Packages | All Classes | Index | Frames No Frames |
LinkRenderer

Package | ch.unil.cbg.ExpressionView.view.components
Class | public class LinkRenderer
Inheritance | LinkRenderer mx.controls.Label
Implements | mx.core.IDataRenderer, mx.controls.listClasses.IDropInListItemRenderer

Public Properties

| Property | Defined By
--- | --- | ---
|  | dataProvider : String | LinkRenderer
|  | organism : String [write-only] | LinkRenderer

Public Methods

| Method | Defined By
--- | --- | ---
|  | LinkRenderer() | LinkRenderer

Protected Methods

| Method | Defined By
--- | --- | ---
|  | commitProperties():void [override] | LinkRenderer
|  | createChildren():void [override] | LinkRenderer

Property Detail

dataProvider | property

`public var dataProvider:String`

organism | property |

`organism:String` [write-only]

Implementation
`public function set organism(value:String):void`
Constructor Detail

LinkRenderer | () | Constructor

`public function LinkRenderer()`

Method Detail

commitProperties | () | method

`override protected function commitProperties():void`

createChildren | () | method |

`override protected function createChildren():void`

Mon Oct 17 2011, 09:13 PM -04:00